#ifndef LAIKAS_HPP
#define LAIKAS_HPP
#include <windows.h>


class KLaikas{
    public:
    _LARGE_INTEGER  daznis,	//Timerio daznis hercais
                    prad,	//Laikas, kada pradjo veikti zaidimas
                    dab,	//Dabartinis laikas
                    pask,	//Paskutinio kadro laikas
                    stabdPask;	//Paskutinis stabdzio patikrinimas
    float	kadro,			//Paskutinio kadro trukme
            l1,				//Timeris, naudojamas FPS skaiciuoti
            l2,				//Timeris, naudojamas PerformanceFrequency atnaujinimui
            l3,				//Timeris, naudojamas fraktalui
            uzkrovimo,		//Zaidimo uzkrovimo trukme
            veikimo,		//Zaidimo veikimo trukme
            stabd,			//Stabdzio laikas
			stabdMax;		//Maksimalus laikas, iki kurio dar neuzskaitomas stabdis
	int		FPS,			//Kadrai per sekunde (realus)
			FPSn;			//Kiek kadru praejo
	char	lStabdis[32];	//Stabdzio aprasymas :D
	bool	stop;			//Ar sustabdytas laikas?
	
	KLaikas();
	~KLaikas();
	void Pradeti();			//Gaunamas pradinis laikas, daznis. Funkcija vykdoma
							//viena karta zaidimo pradzioje
    void Gauti();			//Gauti dabartini laika, apskaiciuoti reiksmes
    void Stabdyti();		//Sustabdyti laika
    void Paleisti();		//Paleisti laika
} laikas;


#include "laikas.cpp"
#endif
