KTekstas::KTekstas()
{
}

KTekstas::~KTekstas()
{
}

bool KTekstas::Sukurti()
{
	HFONT	font;										// Windows Font ID
	HFONT	oldfont;									// Used For Good House Keeping

	fontDispList = glGenLists(223);						// Storage For Characters

	font = CreateFont(	-12,							// Height Of Font
						0,								// Width Of Font
						0,								// Angle Of Escapement
						0,								// Orientation Angle
						FW_NORMAL,						// Font Weight
						FALSE,							// Italic
						FALSE,							// Underline
						FALSE,							// Strikeout
						BALTIC_CHARSET,					// Character Set Identifier
						OUT_TT_PRECIS,					// Output Precision
						CLIP_DEFAULT_PRECIS,			// Clipping Precision
						ANTIALIASED_QUALITY,			// Output Quality
						FF_DONTCARE|DEFAULT_PITCH,		// Family And Pitch
						"Courier New");				    // Font Name

	oldfont = (HFONT)SelectObject(hDC, font);           // Selects The Font We Want
	wglUseFontBitmaps(hDC, 32, 223, fontDispList);		// Builds Characters Starting At Character 32
	SelectObject(hDC, oldfont);							// Selects The Font We Want
	DeleteObject(font);	
	return true;
}

void KTekstas::Piesti(const char *eil)
{
	glDisable(GL_DEPTH_TEST);
	glPushAttrib(GL_LIST_BIT);							// Pushes The Display List Bits
	glListBase(fontDispList - 32);						// Sets The Base Character to 32
	glCallLists(strlen(eil), GL_UNSIGNED_BYTE, eil);	// Draws The Display List Text
	glPopAttrib();										// Pops The Display List Bits
	glEnable(GL_DEPTH_TEST);
}


void KTekstas::Naikinti()
{
    glDeleteLists(fontDispList, 223);
}
