KZmogus::KZmogus(): suk(false), vagia(false)
{
}


KZmogus::~KZmogus()
{
}


void KZmogus::Atnaujinti()
{
	if(!suk)
		Reset();
	faze += gr * laikas.kadro * 5.0;
	if(faze > 1.0)
		faze = 0.0;
	if(faze < 0.25)
		fazeJud = 0.0;
	else if(faze < 0.5)
		fazeJud = 0.25;
	else if(faze < 0.75)
		fazeJud = 0.5;
	else
		fazeJud = 0.75;

	if(vagia)
		return;
	//Paeinama
	float atstumas = Matke::Atstumas2D(x, y, tx, ty);
	x += (tx - x) / atstumas * gr * laikas.kadro;
	y += (ty - y) / atstumas * gr * laikas.kadro;
	//Nauja pozicija
	atstumas = Matke::Atstumas2D(x, y, tx, ty);
	if(atstumas < 0.1)
		GenPoz();
}


void KZmogus::Piesti()
{
	if(!suk)
		return;
	glPushMatrix();
	glTranslatef(x, y, z);
	if(x > tx)
		glScalef(-1.0, 1.0, 1.0);
	//Zmogus
	glColor4f(1.0, 1.0, 1.0, alpha);
	glBindTexture(GL_TEXTURE_2D, tekZmogus);
    glBegin(GL_QUADS);
    	glTexCoord2f(fazeJud, 0.0);	glVertex3f(-0.05f, 0.0f, 0.0f);
    	glTexCoord2f(fazeJud + 0.25, 0.0);	glVertex3f(0.05f, 0.0f, 0.0f);
    	glTexCoord2f(fazeJud + 0.25, 1.0);	glVertex3f(0.05f, 0.0f, 0.1f);
    	glTexCoord2f(fazeJud, 1.0);	glVertex3f(-0.05f, 0.0f, 0.1f);
    glEnd();
	glPopMatrix();
}


void KZmogus::Reset()
{
	x = 3.0 + ((float)(rand() % 1000) / 1000.0);
	if(rand() % 2)
		x *= -1.0;
	y = ((float)(rand() % 1000)) / 500.0 - 2.0;
	gr = ((float)(rand() % 1000)) / 2000.0 + 0.05;
	GenPoz();
	z = 0.0;
	faze = gr * 10.0;

	suk = true;
	vagia = false;
	alpha = 1.0;
}


void KZmogus::GenPoz()
{
	tx = ((float)(rand() % 1000) / 300.0) - 1.7;
	ty = ((float)(rand() % 1000)) / 500.0 - 2.0;
}
